uk.gov.hmrc.ct.ct600e.v3

# E1003

###
Related Docs: class E1003 | package v3

#### object E1003 extends CorporationTaxCalculator with Calculated[E1003, CT600EBoxRetriever] with Serializable

Linear Supertypes
Serializable, Serializable, Calculated[E1003, CT600EBoxRetriever], CorporationTaxCalculator, CtTypeConverters, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. E1003
2. Serializable
3. Serializable
4. Calculated
5. CorporationTaxCalculator
6. CtTypeConverters
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def areAmountsCarriedBackFromLaterPeriods(cp286: CP286): B280

   Definition Classes
     CorporationTaxCalculator

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def calculate(fieldValueRetriever: CT600EBoxRetriever): E1003

   Definition Classes
     E1003 → Calculated

7. #### def calculateApportionedProfitsChargeableFy1(params: CorporationTaxCalculatorParameters): B335

   Definition Classes
     CorporationTaxCalculator

8. #### def calculateApportionedProfitsChargeableFy2(params: CorporationTaxCalculatorParameters): B385

   Definition Classes
     CorporationTaxCalculator

9. #### def calculateCorporationTax(b345: B345, b395: B395): B430

   Definition Classes
     CorporationTaxCalculator

10. #### def calculateCorportationTaxForNIJourney(b345: B345, b360: B360, b395: B395, b410: B410): B430

    Definition Classes
      CorporationTaxCalculator

11. #### def calculateIncomeTaxRepayable(b515: B515, b510: B510): B520

    Definition Classes
      CorporationTaxCalculator

12. #### def calculateNIApportionedNonTradingProfitsChargeableFy1(params: NINonTradingProfitCalculationParameters): B335

    Definition Classes
      CorporationTaxCalculator

13. #### def calculateNIApportionedNonTradingProfitsChargeableFy2(params: NINonTradingProfitCalculationParameters): B385

    Definition Classes
      CorporationTaxCalculator

14. #### def calculateProfitsChargeableToCorporationTax(b235: B235, b275: B275, b285: B285): B300

    Definition Classes
      CorporationTaxCalculator

15. #### def calculateSATaxPayable(b510: B510, b515: B515): B525

    Definition Classes
      CorporationTaxCalculator

16. #### def calculateSelfAssessmentOfTaxPayable(b525: B525, b527: B527): B528

    Definition Classes
      CorporationTaxCalculator

17. #### def calculateTaxChargeable(b475: B475, b480: B480): B510

    Definition Classes
      CorporationTaxCalculator

18. #### def calculateTaxForFirstFinancialYear(b335: B335, b340: B340): B345

    Definition Classes
      CorporationTaxCalculator

19. #### def calculateTaxForSecondFinancialYear(b385: B385, b390: B390): B395

    Definition Classes
      CorporationTaxCalculator

20. #### def calculateTaxOverpaid(b595: B595, b525: B525): B605

    Definition Classes
      CorporationTaxCalculator

21. #### def calculateTotalTaxToPay(b525: B525, b595: B595): B600

    Definition Classes
      CorporationTaxCalculator

22. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

24. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

25. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

26. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

27. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

28. #### def defaultSetIfLossCarriedForward(b45input: B45Input, cp287: CP287): B45

    Definition Classes
      CorporationTaxCalculator

29. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

31. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

32. #### def financialYear1(accountingPeriod: HmrcAccountingPeriod): Int

    Definition Classes
      CorporationTaxCalculator

33. #### def financialYear2(accountingPeriod: HmrcAccountingPeriod): Option[Int]

    Definition Classes
      CorporationTaxCalculator

34. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

35. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

36. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### def rateOfTaxFy1(start: StartDate): BigDecimal

    Definition Classes
      CorporationTaxCalculator

41. #### def rateOfTaxFy2(end: EndDate): BigDecimal

    Definition Classes
      CorporationTaxCalculator

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Calculated[E1003, CT600EBoxRetriever]

### Inherited from CorporationTaxCalculator

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped